/**
 * netaccess_imp.cpp
 *
 * Copyright (C)  2003  Zack Rusin <zack@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
#include "netaccess_imp.h"

#include <tdeio/netaccess.h>
#include <kpropertiesdialog.h>

#include <kurl.h>
#include <kdebug.h>
#include <tdetempfile.h>

namespace KJSEmbed {
namespace Bindings {

NetAccess::NetAccess( TQObject *parent, const char *name )
    : BindingObject( parent, name )
{
}

NetAccess::~NetAccess()
{
}

bool NetAccess::download( const KURL& src, const TQString& loc )
{
    TQString mloc = loc;
    return TDEIO::NetAccess::download( src, mloc, 0 );
}

TQString NetAccess::createTempFile( const TQString& prefix, const TQString& ext, uint mode )
{
	KTempFile tmpFile = KTempFile(prefix, ext, mode);
	tmpFile.setAutoDelete(false);
	return tmpFile.name();
}

void NetAccess::removeTempFile( const TQString& name )
{
    TDEIO::NetAccess::removeTempFile( name );
}

bool NetAccess::upload( const TQString& src, const KURL& dest )
{
    return TDEIO::NetAccess::upload( src, dest, 0 );
}

bool NetAccess::copy( const KURL& src, const KURL& target )
{
    return TDEIO::NetAccess::copy( src, target, 0 );
}

bool NetAccess::dircopy( const KURL& src, const KURL& target )
{
    return TDEIO::NetAccess::dircopy( src, target, 0 );
}

bool NetAccess::move( const KURL& src, const KURL& target )
{
    return TDEIO::NetAccess::move( src, target, 0 );
}

bool NetAccess::exists( const KURL& url, bool source )
{
    return TDEIO::NetAccess::exists( url, source, 0 );
}

bool NetAccess::del( const KURL & url )
{
    return TDEIO::NetAccess::del( url, 0 );
}

int NetAccess::propertiesDialog( const KURL &url )
{
    KPropertiesDialog dlg( url, 0, "file_properties", true, false );
    return dlg.exec();
}

TQString NetAccess::fish_execute( const KURL& url, const TQString& command )
{
    return TDEIO::NetAccess::fish_execute( url, command, 0 );
}

TQString NetAccess::mimetype( const KURL& url )
{
    kdDebug()<<"mimetype CALLED "<<endl;

    return TDEIO::NetAccess::mimetype( url, 0 );
}

TQString NetAccess::lastErrorString()
{
    return TDEIO::NetAccess::lastErrorString();
}

}
}

#include "netaccess_imp.moc"
